Name: usbip
Version: 1.0.0
Release: 3%{?dist}
Summary: Utility applications for usbip.

Group: System Environment/Base
License: GPLv2
URL: http://www.kernel.org
Source0: usbip-%{version}.tar.bz2
BuildRequires: sysfsutils autoconf automake libtool libsysfs-devel
ExclusiveArch: x86_64

%description
The %{name} package contains utilities for usbip,
usbip and usbipd

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files and libraries for developing
with %{name}.

%prep
%setup -q -n usbip-%{version}

%build
pushd userspace
./autogen.sh
## %configure --with-tcp-wrappers=no --with-usbids-dir=/
%configure
%{__make} -s %{?_smp_mflags}
popd

%install
%{__rm} -rf %{buildroot}
pushd userspace
%{__make} -s install DESTDIR="%{buildroot}"
%{__mkdir_p} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
%{__install} -m 644 COPYING %{buildroot}%{_docdir}/%{name}-%{version}/
%{__install} -m 644 AUTHORS %{buildroot}%{_docdir}/%{name}-%{version}/
%{__install} -m 644 INSTALL %{buildroot}%{_docdir}/%{name}-%{version}/
%{__install} -m 644 README %{buildroot}%{_docdir}/%{name}-%{version}/
popd

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{_docdir}/%{name}-%{version}/
#%doc COPYING README AUTHORS INSTALL
%doc %{_mandir}/man8/usbip.8.gz
%doc %{_mandir}/man8/usbipd.8.gz
%{_libdir}/libusbip.so.*
/usr/sbin/usbip
/usr/sbin/usbipd

%files devel
%dir %{_includedir}/usbip/
%{_includedir}/usbip/usbip_common.h
%{_includedir}/usbip/usbip_host_driver.h
%{_includedir}/usbip/vhci_driver.h
%{_libdir}/libusbip.a
%{_libdir}/libusbip.la
%{_libdir}/libusbip.so

%changelog
* Sat Dec 05 2015 Denis Fateyev <denis@fateyev.com> - 1.0.0-3
- Rebuild for rhel7, based on elrepo

* Fri Dec 13 2013 Alan Bartlett <ajb@elrepo.org> - 1.0.0-2
- Incremented the release so that it remains
- in synchronisation with the kmod pacakge.

* Sun Dec 08 2013 Alan Bartlett <ajb@elrepo.org> - 1.0.0-1
- Reversioned to agree with the kmod package
- and to use a common tarball.

* Tue Nov 19 2013 Akemi Yagi <toracat@elrepo.org> - 0.0-1
-Initial package for ELRepo.
